# Uses of Class
net.shibboleth.idp.ui.context.RelyingPartyUIContext

Packages that use RelyingPartyUIContext
Package
Description
net.shibboleth.idp.ui.context
Context classes for information needed by the UI.
net.shibboleth.idp.ui.impl
Implementation classes for information needed by the UI.
net.shibboleth.idp.ui.taglib
Contains the code for the jsp taglibs.

## Uses of RelyingPartyUIContext in net.shibboleth.idp.ui.context

Methods in net.shibboleth.idp.ui.context that return RelyingPartyUIContext
Modifier and Type
Method
Description
`RelyingPartyUIContext`
RelyingPartyUIContext.`setBrowserLanguageRanges(List<Locale.LanguageRange> ranges)`
Set the browser languages.
`RelyingPartyUIContext`
RelyingPartyUIContext.`setFallbackLanguages(List<String> languages)`
Set the fallback languages.
`RelyingPartyUIContext`
RelyingPartyUIContext.`setRequestSupplier(NonnullSupplier<HttpServletRequest> what)`
Set the Servlet Request.
`RelyingPartyUIContext`
RelyingPartyUIContext.`setRPAttributeConsumingService(AttributeConsumingService what)`
Set the `ACSUIInfo` for the request.
`RelyingPartyUIContext`
RelyingPartyUIContext.`setRPEntityDescriptor(EntityDescriptor what)`
Set the `EntityDescriptor`.
`RelyingPartyUIContext`
RelyingPartyUIContext.`setRPSPSSODescriptor(SPSSODescriptor what)`
Set the `SPSSODescriptor`.
`RelyingPartyUIContext`
RelyingPartyUIContext.`setRPUInfo(UIInfo what)`
Set the RP `IdPUIInfo` associated with the request.

## Uses of RelyingPartyUIContext in net.shibboleth.idp.ui.impl

Fields in net.shibboleth.idp.ui.impl with type parameters of type RelyingPartyUIContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,RelyingPartyUIContext>`
SetRPUIInformation.`rpUIContextCreateStrategy`
Strategy function to create the `RelyingPartyUIContext`.
Methods in net.shibboleth.idp.ui.impl that return types with arguments of type RelyingPartyUIContext
Modifier and Type
Method
Description
`Function<ProfileRequestContext,RelyingPartyUIContext>`
SetRPUIInformation.`getRPUIContextCreateStrategy()`
Get the mechanism to create/get the `RelyingPartyUIContext` from the `ProfileRequestContext`.
Method parameters in net.shibboleth.idp.ui.impl with type arguments of type RelyingPartyUIContext
Modifier and Type
Method
Description
`void`
SetRPUIInformation.`setRPUIContextCreateStrategy(Function<ProfileRequestContext,RelyingPartyUIContext> strategy)`
Set the mechanism to create/get the `RelyingPartyUIContext` from the `ProfileRequestContext`.

## Uses of RelyingPartyUIContext in net.shibboleth.idp.ui.taglib

Fields in net.shibboleth.idp.ui.taglib declared as RelyingPartyUIContext
Modifier and Type
Field
Description
`private RelyingPartyUIContext`
ServiceTagSupport.`relyingPartyUIContext`
Cached RelyingPartyUIContext.
Fields in net.shibboleth.idp.ui.taglib with type parameters of type RelyingPartyUIContext
Modifier and Type
Field
Description
`private static Function<ProfileRequestContext,RelyingPartyUIContext>`
ServiceTagSupport.`uiContextLookupStrategy`
Strategy function for access to `RelyingPartyUIContext` for input to resolver.
Methods in net.shibboleth.idp.ui.taglib that return RelyingPartyUIContext
Modifier and Type
Method
Description
`protected RelyingPartyUIContext`
ServiceTagSupport.`getRelyingPartyUIContext()`
Get the `RelyingPartyUIContext` for the request.
Methods in net.shibboleth.idp.ui.taglib with parameters of type RelyingPartyUIContext
Modifier and Type
Method
Description
`void`
ServiceTagSupport.`setUiContext(RelyingPartyUIContext value)`
Deprecated.
this has to be calculated every time